
package de.ivu.elect.presentation.konfiguration.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.konfiguration.menu.KonfigurationPageMenu;

public class KonfigurationExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  @Override
  public String getExportSearchViewId() {
    return KonfigurationExportView.VIEW_ID;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.KONFIGURATION_EXPORT;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.KONFIGURATION_EXPORTIEREN;
  }

  @Override
  public String getPageMenuComponentName() {
    return KonfigurationPageMenu.COMPONENT_NAME;
  }

  @Override
  public boolean isSpecificPerWahl() {
    return false;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return false;
  }
}
